Name:           extension-manager
Version:        0.4.3
Release:        1%{?dist}
Summary:        Extension manager for gnome

License:        GPL-3.0-only
URL:            https://github.com/mjakeman/extension-manager
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  blueprint-compiler
BuildRequires:  python3-gobject
BuildRequires:  desktop-file-utils
BuildRequires:  libbacktrace-devel
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(text-engine-0.1)
BuildRequires:  gcc
BuildRequires:  gettext

Requires:       libadwaita
Requires:       libsoup3
Requires:       json-glib


%description
A native tool for browsing, installing, and managing GNOME Shell Extensions.


%global debug_package %{nil}


%prep
%autosetup -n %{name}-%{version}


%build
export CFLAGS="$optflags -fpermissive -fPIE"
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/metainfo/com.mattjakeman.ExtensionManager.metainfo.xml
%{_datadir}/applications/com.mattjakeman.ExtensionManager.desktop
%{_datadir}/glib-2.0/schemas/com.mattjakeman.ExtensionManager.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/com.mattjakeman.ExtensionManager.svg
%{_datadir}/icons/hicolor/symbolic/apps/com.mattjakeman.ExtensionManager-symbolic.svg


%changelog
%autochangelog
